## org.opengis.temporal
Interface TemporalTopologicalComplex

All Superinterfaces:
  TemporalComplex, TemporalObject

    @UML(identifier="TM_TopologicalComplex",
         specification=ISO_19108)
    public interface TemporalTopologicalComplex

extends TemporalComplex

An aggregation of connected temporal topological primitives. This is the only subclass of temporal complex.

Method Summary
`Collection<TemporalTopologicalPrimitive>` `getTemporalTopologicalPrimitives()` The aggregation of connected temporal topological primitives.

Method Detail

### getTemporalTopologicalPrimitives

    Collection<TemporalTopologicalPrimitive> getTemporalTopologicalPrimitives()

  The aggregation of connected temporal topological primitives.

  TODO:
    Missing UML annotation.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.